=== debian/changelog ===
ironic (1:32.0.0-4) unstable; urgency=medium

  * Remove python3-pysnmp4 from (build-)depends and use python3-pysnmp instead.
  * Add pysnmp7-compat.patch.
  * Blacklist snmp tests for now, until Ironic gains pysnmp 7 compat.
  * Move python3-proliantutils from build-depends to build-conflicts.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:45:13 +0200

ironic (1:32.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:38:49 +0200

ironic (1:32.0.0-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 22:23:03 +0200

ironic (1:32.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to module = ironic.wsgi:application from gone wsgi-script.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow+unsafe_image_file_paths.patch
  * Do not install any rootwrap stuff, it's gone from upstream in this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 18:45:59 +0200
