=== debian/tests/control ===
Tests:
 unittests,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr needs-root,
Architecture: amd64, arm64, mips64el, ppc64el, riscv64, s390x
