## ironic 34.0.0

=== requirements.txt ===
--- 
+++ 
@@ -36,8 +36,8 @@
 psutil>=3.2.2 # BSD
 futurist>=3.2.0 # Apache-2.0
 tooz>=2.7.0 # Apache-2.0
-openstacksdk>=0.99.0 # Apache-2.0
-sushy>=5.7.0
+openstacksdk>=4.9.0 # Apache-2.0
+sushy>=5.9.0
 construct>=2.9.39 # MIT
 netaddr>=0.9.0 # BSD
 microversion-parse>=1.0.1 # Apache-2.0
@@ -48,3 +48,4 @@
 PyYAML>=6.0.2 # MIT
 cheroot>=10.0.1 # BSD
 cotyledon>=2.0.0 # Apache-2.0
+lark>=1.2.2 # MIT
