=== debian/changelog ===
ironic (1:34.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * d/control: Add new python3-lark dependency.
  * d/p/fix-pysnmp-7x-compat.patch: Add patch.
  * d/p/fix-test-firmware-missing-mocks.patch: Add patch.
  * New upstream release for OpenStack Gazpacho. (LP: #2137593)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 15:24:36 -0800

ironic (1:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-common.install: Drop rootwrap conf files.
  * d/ironic-common.maintscript: Remove obsolete rootwrap conf file.
  * d/tests/ironic-daemons: Wait for mysql to be up and socket to be
    open before beginning test. This works around the open bug
    LP: #2064930.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 07:14:41 -0700

ironic (1:30.0.0+git2025070713.577833d78-0ubuntu2) questing; urgency=medium

  * d/ironic_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Sat, 16 Aug 2025 14:27:30 -0700
