=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-pyasyncore,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 qemu-utils,
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bcrypt (>= 3.1.3),
 python3-cheroot (>= 10.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-cotyledon (>= 1.7.3),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 3.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.1.2),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-lark (>= 1.1.9),
 python3-microversion-parse (>= 1.0.1),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 3.2.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pyasn1 (>= 0.4.8),
 python3-pyasn1-modules (>= 0.2.8),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 5.7.0),
 python3-sushy-oem-idrac,
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-websockify (>= 0.9.0),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
 python3-yaml (>= 6.0.2),
 python3-zeroconf (>= 0.24.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-bcrypt (>= 3.1.3),
 python3-cheroot (>= 10.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 3.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2 (>= 3.1.2),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 4.0.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-lark (>= 1.1.9),
 python3-microversion-parse (>= 1.0.1),
 python3-netaddr (>= 0.9.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.99.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 4.2.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 8.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 6.0.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 5.7.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-websockify (>= 0.9.0),
 python3-wsme (>= 0.9.3),
 python3-yaml (>= 6.0.2),
 python3-zeroconf (>= 0.24.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.
