=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/,pgpsigurlmangle=s/$/.asc/ \
 http://tarballs.openstack.org/ironic/ ironic-(\d{1,2}\.\d.*)\.tar\.gz
