=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/ironic/+download https://launchpad.net/ironic/.*/.*/.*/ironic-(.*)\.tar\.gz
