## ironic 2014.1

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.1),
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-concurrent.futures,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.10.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-json-patch (>= 1.1),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.4),
                     python-oslo.config,
                     python-oslo.rootwrap,
                     python-oslosphinx,
                     python-paramiko (>= 1.9.0),
                     python-pecan (>= 0.4.5),
                     python-psycopg2,
                     python-pyghmi,
                     python-seamicroclient,
                     python-six (>= 1.5.2),
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.6),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
                     websockify (>= 0.5.1)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ironic.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ironic.git
Homepage: http://github.com/openstack/ironic

Package: python-ironic
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.1),
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-concurrent.futures,
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-json-patch (>= 1.1),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.4.8),
         python-lockfile,
         python-lxml,
         python-migrate (>= 0.8.2),
         python-netaddr,
         python-neutronclient (>= 2.3.4),
         python-oslo.config,
         python-oslo.rootwrap,
         python-paramiko (>= 1.9.0),
         python-pecan (>= 0.4.5),
         python-pyghmi,
         python-seamicroclient,
         python-six (>= 1.5.2),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.6),
         websockify (>= 0.5.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

Package: ironic-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-ironic (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ironic-common, ${misc:Depends}, ${ostack-lsb-base}, ${python:Depends}
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-conductor
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ironic-common, ${misc:Depends}, ${ostack-lsb-base}, ${python:Depends}
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.
