=== debian/watch ===
version=3
https://github.com/openstack/ironic/tags .*/v(\d[\d\.]+)\.tar\.gz
